<?php
namespace admin\view;

class Articles
{
  public static function browse_list()
  {
    
    $tpl = new \Tpl;
    return $tpl -> render( 'articles/articles-browse-list' );
  }
  
  public static function subpages_list( $pages, $article_pages, $parent_id = 0, $step = 1 )
  {
    $tpl = new \Tpl();
    $tpl -> pages         = $pages;
    $tpl -> parent_id     = $parent_id;
    $tpl -> step          = $step;
    $tpl -> article_pages = $article_pages;
    return $tpl -> render( 'articles/subpages-list' );
  }
  
  public static function articles_list()
  {
    $tpl = new \Tpl;
    return $tpl -> render( 'articles/articles-list' );
  }
  
  public static function article_edit( $values )
  {
    $tpl = new \Tpl;
    if ( is_array( $values ) ) foreach ( $values as $key => $val )
      $tpl -> $key = $val;
    return $tpl -> render( 'articles/article-edit' );
  }
}
?>